Package in.cdac.medinfo.csnotk.csnolib.commons

## Enum EnumRefset

- java.lang.Object
- - java.lang.Enum<EnumRefset>
  - - in.cdac.medinfo.csnotk.csnolib.commons.EnumRefset

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EnumRefset>`

      public enum EnumRefset
      extends java.lang.Enum<EnumRefset>
      implements java.io.Serializable

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DESCRIPTION_INACTIVATOR` |
    `REFERS_TO` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getId()` |
    `static EnumRefset` | `getLookupId​(java.lang.String id)` |
    `static EnumRefset` | `getLookupValue​(java.lang.String value)` |
    `java.lang.String` | `getValue()` |
    `void` | `setId​(java.lang.String id)` |
    `void` | `setValue​(java.lang.String value)` |
    `static EnumRefset` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EnumRefset[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REFERS_TO

          public static final EnumRefset REFERS_TO

    - #### DESCRIPTION_INACTIVATOR

          public static final EnumRefset DESCRIPTION_INACTIVATOR

  - ### Method Detail

    - #### values

          public static EnumRefset[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumRefset c : EnumRefset.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumRefset valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId​(java.lang.String id)

    - #### getValue

          public java.lang.String getValue()

    - #### setValue

          public void setValue​(java.lang.String value)

    - #### getLookupValue

          public static EnumRefset getLookupValue​(java.lang.String value)

    - #### getLookupId

          public static EnumRefset getLookupId​(java.lang.String id)